> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monirates.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate identity verification



## OpenAPI

````yaml https://interface.monirates.com/v1/api-docs.json get /utility/safehaven/identity-verification/initiate
openapi: 3.0.3
info:
  title: Monirates API
  version: 1.0.0
  description: API documentation
servers:
  - url: https://dev.interface.monirates.com/v1
    description: Dev
security:
  - apiKeyAuth: []
tags:
  - name: Exchange
    description: Exchange operations
  - name: Payment Link
    description: Payment Link operations
  - name: Wallet
    description: Wallet operations
  - name: Transaction
    description: Transaction operations
  - name: Virtual Bank Accounts
    description: Virtual Bank Account operations
  - name: Utility
    description: Utility operations
  - name: Webhook
    description: Webhook operations
  - name: Providers
    description: Providers operations
paths:
  /utility/safehaven/identity-verification/initiate:
    get:
      tags:
        - Providers
      summary: Initiate identity verification
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - BVN
                    - NIN
                value:
                  type: string
                  maxLength: 20
              required:
                - type
                - value
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSuccess'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiSuccess:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
        data:
          type: object
          description: Response payload
    ApiError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for API authentication

````